commit: 37b3eb8b11178e1ba37aa39bc06a3680d9fdf3c0
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 15 12:46:27 2025 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 15 12:46:27 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37b3eb8b
dev-util/codespell: add 2.4.1
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-util/codespell/Manifest | 1 +
dev-util/codespell/codespell-2.4.1.ebuild | 32 +++++++++++++++++++++++++++++++
2 files changed, 33 insertions(+)
diff --git a/dev-util/codespell/Manifest b/dev-util/codespell/Manifest
index 09642d07117e..bae8f97e2ce6 100644
--- a/dev-util/codespell/Manifest
+++ b/dev-util/codespell/Manifest
@@ -1,2 +1,3 @@
DIST codespell-2.2.6.tar.gz 300968 BLAKE2B
f97aca1c1398cecd6257dc5fc8c0c6e8b35d34a82338e0ede4b03b6df8d030f095fbb8ae77a5bcfe6955f954a556fcea34927b4f44069010becd724b29a07184
SHA512
993734138e017324039a2954fc3559411aa7e3a96b8e6b6b2176985641225755adb9dde7125260211e531a1ecf1f1d82f2294434c21e8a35c7898212f3db3273
DIST codespell-2.3.0.tar.gz 329791 BLAKE2B
dd586645bd1d5ba956da85ab699eb205ebd3610e825ec9c7d85cac19dcb138f9e4561d95c79347e9509ba56d116844fbe9b2cb9380f724c9e5ec2bbdea7cd929
SHA512
2614ce6d47fadf62d1048efcd248a72486b1cab3332d10a143ef28bc441855330ad57ea0ce2c93546a93592d182053286255f35421e889518e6a66e31f8294b8
+DIST codespell-2.4.1.tar.gz 344740 BLAKE2B
d3b62f89f50a1219063e765c22ed82782c93b6bc4a2ffa5929c842e6767acb7d3cd37fa7033df6fb9f9c7c51434da7de2d8d028dbf583e34cf3f259a64e89799
SHA512
744543ee9565130248928390404076ae43f89425a61461809e5fa157ab16cbe2ae361a53f6997e48e93dce8b46ee5f3a8a63bcbc8f62c7efffb3fec3e01ded6b
diff --git a/dev-util/codespell/codespell-2.4.1.ebuild
b/dev-util/codespell/codespell-2.4.1.ebuild
new file mode 100644
index 000000000000..9574033ab6dc
--- /dev/null
+++ b/dev-util/codespell/codespell-2.4.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+inherit distutils-r1 pypi
+
+DESCRIPTION="Check text files for common misspellings"
+HOMEPAGE="https://pypi.org/project/codespell
+ https://github.com/codespell-project/codespell"
+
+# Code licensed under GPL-2, dictionary licensed under CC-BY-SA-3.0
+LICENSE="GPL-2 CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/chardet[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # Remove bundled dictionary
+ sed -e '/addopts/d' -i pyproject.toml || die
+}